import os


class Config:
    MINIO_ENDPOINT = os.environ['MINIO_ENDPOINT']
    MINIO_ACCESS_KEY = os.environ['MINIO_ACCESS_KEY']
    MINIO_SECRET_KEY = os.environ['MINIO_SECRET_KEY']
    MINIO_BUCKET_NAME = os.environ['MINIO_BUCKET_NAME']
    MINIO_SECURE = os.environ.get('MINIO_SECURE', False)
    MINIO_REGION = os.environ.get('MINIO_REGION', None)

    SECRET_KEY = os.environ.get('SECRET_KEY', os.urandom(12))

    SENTRY_DSN = os.environ.get("SENTRY_DSN")
    RELEASE_ID = os.environ.get("RELEASE_ID", "test")
    RELEASEMODE = os.environ.get("RELEASEMODE", "dev")

    PIKA_URL = os.environ['PIKA_URL']
    EXCHANGE_NAME = os.environ.get("EXCHANGE_NAME", "sample-ready")
